<template>
  <div class="page-404">
    <h1>页面不存在!</h1>

    <br />
    <br />
    <div>
      <i-button size="large" class="qm-primary-button" long @click="goLogin">
        返回登录页
      </i-button>
    </div>
  </div>
</template>

<script>
export default {
  name: "Page404",
  methods: {
    goLogin() {
      this.logger({
        page: "Page404",
        button: "返回登录页按钮",
        action: "点击",
      });
      this.$router.push("/login/");
    },
  },
};
</script>

<style scoped>
.page-404 {
  padding-top: 50px;
}
</style>
